version: "3"
services:
  petclinic:
    image: cleansemysoul/petclinic:latest
    hostname: local-petclinic
    container_name: local-petclinic
    ports:
      - "8080:8080"
    volumes:
      - logs:/usr/local/tomcat/logs/
  
  filebeat:
    image: docker.elastic.co/beats/filebeat-oss:7.9.3
    hostname: filebeat
    container_name: filebeat 
    user: root
    volumes:
      - ./filebeat.yml:/usr/share/filebeat/filebeat.yml:ro
      - logs:/usr/logs/

volumes:
  logs: 